# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: unzip
# END SourceDeps(oneline)
# No debugging info because the built .exe is bytecode. Re-enable
# if we get AOT working.
%global debug_package %{nil}

Name:           rescene
Version:        1.2
Release:        alt1_6
Summary:        Extracts RAR metadata and recreates RAR files
Group:          Archiving/Other
License:        MIT
URL:            http://rescene.info/
Source0:        http://rescene.info/srr.%{version}.cs.zip

BuildRequires:  mono
Requires:       mono
ExclusiveArch:  %{mono_arches}
Source44: import.info

%description
ReScene is a mechanism for backing up and restoring the metadata from
RAR archives.


%prep
%setup -q -c
cat >rescene.shell_script <<EOS
#!/bin/sh

mono "%{_libdir}/%{name}/srr.exe" "\$@"
EOS

# Fix EOL encodings
sed -i -e "s|\r||" license.txt



%build
gmcs -unsafe -out:srr.exe *.cs

# Enabling AOT compilation causes rpmbuild to fail generating debuginfo.
# Disable it for now.
#mono --aot -O=all rescene.exe


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}

install -m 755 srr.exe $RPM_BUILD_ROOT%{_libdir}/%{name}/
# Enabling AOT compilation causes rpmbuild to fail generating debuginfo.
# Disable it for now.
#install -m 755 rescene.exe.so $RPM_BUILD_ROOT%%{_libdir}/%%{name}/
install -m 755 rescene.shell_script $RPM_BUILD_ROOT%{_bindir}/srr


%files
%doc license.txt
%{_libdir}/%{name}
%{_bindir}/srr


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_6
- initial fc import

